import http from "@/mock/model/http"
import list from "@/mock/model/list"
import Mock from 'mockjs'
const Random = Mock.Random

export function oingList() { //我的待办列表
  let model = JSON.parse(JSON.stringify(http)) 
  let listModel= JSON.parse(JSON.stringify(list)) 
  listModel.count = 100
  listModel.list = []

  for (let i = 0; i < 15; i++) {
    listModel.list.push(Mock.mock({
      id: '@increment',//待办编号
      'title|1': ['备货申请', '采购入库', '咨询确认单审批', '销售确认单审批', '销售出库', '售后退货申请', '售后退货', '采购调拨', '采购盘点'],//流程名称
      orderNo: '@guid',//单据号
      'type|1': ['待审核', '待采购反馈', '待发货', '待收货', '待申请售后'],//当前节点
      timestamp: +Mock.Random.date('T'),//停留时间
      author: '@cname',//发起人
      'reviewer|1': ['采购部', '网络部', '信息部', '财务部', '客服部', '项目部', '人事部'],//发起部门
      addTime: '@datetime', //创建时间
    }))
  }
  model.data = listModel

  return {
    url: 'process/oingList',
    type: 'post',
    data: model
  }
}

export function doneList() { //我的已办列表
  let model = JSON.parse(JSON.stringify(http)) 
  let listModel= JSON.parse(JSON.stringify(list)) 
  listModel.count = 100
  listModel.list = []

  for (let i = 0; i < 15; i++) {
    listModel.list.push(Mock.mock({
      id: '@increment',//待办编号
      'title|1': ['备货申请', '采购入库', '咨询确认单审批', '销售确认单审批', '销售出库', '售后退货申请', '售后退货', '采购调拨', '采购盘点'],//流程名称
      orderNo: '@guid',//单据号
      'type|1': ['待审核', '待采购反馈', '待发货', '待收货', '待申请售后'],//当前节点
      timestamp: +Mock.Random.date('T'),//停留时间
      author: '@cname',//发起人
      'reviewer|1': ['采购部', '网络部', '信息部', '财务部', '客服部', '项目部', '人事部'],//发起部门
      addTime: '@datetime', //创建时间
    }))
  }
  model.data = listModel

  return {
    url: 'process/doneList',
    type: 'post',
    data: model
  }
}