import http from "@/mock/model/http"
import list from "@/mock/model/list"
import Mock from 'mockjs'
const Random = Mock.Random

export function stockListAll() {
  let model = JSON.parse(JSON.stringify(http)) 
  model.data = []

  for (let i = 0; i < 50; i++) {
    let father = Mock.mock({
      id: '@increment',//id
      name: '@ctitle(5)',//公司名称
      child: []
    })
    for (let j = 0; j < 10; j++) {
      father.child.push(Mock.mock({
        id: '@increment',//id
        name: '@ctitle(5)',//仓库名称
      }))
    }



    model.data.push(father)
  }
  return {
    url: 'stock/stockListAll',
    type: 'post',
    data: model
  }
}


export function statistics() {
  let model = JSON.parse(JSON.stringify(http)) 
    model.data= Mock.mock({
      value1: '@integer(300, 5000)',//当前库存
      value2: '@integer(300, 5000)',//待入库
      value3: '@integer(300, 5000)',//待出库
      value4: '@integer(300, 5000)',//可用库存
      value5: '@integer(300, 5000)',//在途库存
    })
  return {
    url: 'stock/statistics',
    type: 'post',
    data: model
  }
}

export function stockLog() {
  let model = JSON.parse(JSON.stringify(http)) 
  let listModel= JSON.parse(JSON.stringify(list)) 
  listModel.count = 100
  listModel.list = []

  for (let i = 0; i < 15; i++) {
    listModel.list.push(Mock.mock({
      id: '@increment',//记录编号
      author: '@cname',//操作人
      'reviewer|1': ['采购部', '网络部', '信息部', '财务部', '客服部', '项目部', '人事部'],//操作人部门
      'type|1': ['待入库', '待出库', '其他入库', '其他出库', '正式入库', '正式出库'],//仓库类型
      "number|1-100":100,//操作数量
      'typeo|1': ['采购入库单', '销售出库单', '售后退货', '采购调拨', '采购盘点'],//库存来源
      addTime: '@datetime', //操作时间
    }))
  }
  model.data = listModel
  return {
    url: 'stock/stockLog',
    type: 'post',
    data: model
  }
}



